document.addEventListener('deviceready', init, false);

var lastStatus = ''; // due to bug
var url = 'https://autoclub.kg/?isApp=true';

function init() {
  document.addEventListener('offline', onOffline, false);
  document.addEventListener('online', onOnline, false);
  document.addEventListener('resume', onResume, false);

  // checkIframe();
}

function onOffline() {
  if(lastStatus != 'disconnected') {
    lastStatus = 'disconnected';

    $('.alert').show();
    $('.js-reload-frame').on('click', function(event) {
      event.preventDefault();

      reloadFrame();
    });
  }
}

function onOnline() {
  if(lastStatus != 'connected' && lastStatus != '') {
    lastStatus = 'connected';
    var $frame = $('.app-frame');

    $('.alert').hide();
    $frame.src = url;

    $frame.contentWindow.onerror = function(e) {
      console.log(e);
    }
  }
}

function onResume() {
  // lets reload the frame to update it
  reloadFrame();
}

function reloadFrame() {
  $('.app-frame').src = url;
}